# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc附件上传功能验证_代客下单,2295,2295-92,sit,be
主数据平台:后台运营系统附件上传功能验证_代客下单接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json
import os


module = "cmdc_order_list"


# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username_be")
password = commonFuc().get_business_data(module, "password_be")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers_file_1", cmdc_access_token)
print(headers)
# 获取文件地址
BASE_DIR = os.path.dirname(os.path.dirname(os.path.dirname(os.path.dirname(os.path.abspath(__file__)))))
file_path = BASE_DIR + "/data/cmdc_files/test_file.jpg"

# 第二步上传附件
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url92")
print(url)
# 获取文件
file = open(file_path, "rb")
files = {"file": file}

"""
 场景: 附件上传功能验证_代客下单
 用例名称：附件上传功能验证_代客下单
 输出：{"success":true,"code":"200","message":"OK"}
"""

# 发送请求
result = requests.post(url, files=files, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())
result = json.loads(result.content)
print(result)
result["api_time"] = api_time

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict92")
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
file.close()
