# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc查询条件验证_资料申请变更记录列表,2256,2256-53,sit,bs
主数据平台:多采商城站点获取资料申请变更记录列表接口 
"""

from common.common_func import commonFuc
from air_case.cmdc_login.多采商城登录.多采商城登录 import CmdcMaiiLogin
import requests
import random
import json

module = "cmdc_website"

# 第一步获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcMaiiLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步获取资料申请变更记录列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url52")
request_body = commonFuc().get_business_data(module, "payload52")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 生成随机数
company_random = random.randint(0, len(result["data"]["list"]) - 1)
# 获取资料申请变更记录
applycompany = result["data"]["list"][company_random]["applycompany"]

# 第三步列表查询条件验证
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url53")
request_body = commonFuc().get_business_data(module, "payload53", applycompany)

"""
 场景:查询条件验证_资料申请变更记录列表
 用例名称：查询条件验证_资料申请变更记录列表
 输出：{"applycompany":"%s"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 获取资料申请变更记录
result = json.loads(result.content)
result = {"applycompany": result["data"]["list"][0]["applycompany"]}

# 将接口响应时间添加至result
result["api_time"] = api_time

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict53", applycompany)
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
